version: "3"
        
services:
    backend:
        build: backend
        image: transport/backend
        env_file: backend/env
        volumes:
            - ./data:/data
        networks:
            - NETWORK
        depends_on:
            - crossbar
        restart: always

    nginx:
        image: nginx
        restart: always
        ports:
            - 16516:80
        volumes:
            - ./nginx/conf.d:/etc/nginx/conf.d
            - ./frontend/dist:/var/www
        networks:
            - NETWORK

    frontend:
        build: frontend
        image: transport/frontend
        volumes:
            - ./frontend/dist:/var/www
        command: cp -R /dist/. /var/www

    crossbar:
        image: crossbario/crossbar
        restart: always
        volumes:
            - ./crossbar/config.json:/node/.crossbar/config.json
            - ./crossbar/authorizer.py:/node/.crossbar/authorizer.py
            - ./crossbar/storage.py:/node/.crossbar/storage.py
        user: 0:0
        networks:
            NETWORK:     
                ipv4_address: 31.33.75.37


networks:
    NETWORK:
        ipam:
            config:
                - subnet: 31.33.0.0/16
